apiVersion: v1
baseDomain: test.example.com
compute:
- architecture: amd64
  hyperthreading: Enabled
  name: worker
  replicas: 1
controlPlane:
  architecture: amd64
  hyperthreading: Enabled
  name: master
  replicas: 3
metadata:
  name: three-plus-one
networking:
  clusterNetwork:
  - cidr: 10.128.0.0/14
    hostPrefix: 23
  machineNetwork:
  - cidr: 192.168.111.0/23
  networkType: OVNKubernetes
  serviceNetwork:
  - 172.30.0.0/16
platform:
  baremetal:
    hosts:
      - name: host1
        bootMACAddress: 00:ef:44:21:e6:a5
      - name: host2
        bootMACAddress: 00:ef:44:21:e6:a6
      - name: host3
        bootMACAddress: 00:ef:44:21:e6:a7
      - name: host4
        bootMACAddress: 00:ef:44:21:e6:a8
    apiVIP: "192.168.111.5"
    ingressVIP: "192.168.111.6"
pullSecret: 'PULL_SECRET'
sshKey: |
  ssh-rsa PUBLIC_KEY
